{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-22.11";
    #nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    arion.url = "github:hercules-ci/arion";
  };

  outputs = { self, nixpkgs, ... }@inputs: 
    let
      hostPkgs = import nixpkgs { system = "x86_64-linux"; };
    in {
      devShell."x86_64-linux" = with hostPkgs; mkShell {
        buildInputs = [ colmena ];
      };
      colmena = {
        meta = {
          nixpkgs = import nixpkgs {
            system = "aarch64-linux";
            overlays = [];
          };
          specialArgs = {
            inherit inputs;
          };
        };

        katzencafe = { name, nodes, pkgs, inputs, ... }: {
          deployment = {
            targetHost = "katzen.cafe";
            buildOnTarget = true;
          };
          imports = [
            ./modules/base-stuff.nix
            ./modules/proxy.nix
            ./modules/postgres.nix
            ./modules/jitsi.nix
            ./modules/containers
            ./modules/keycloak.nix
          ];

          system.stateVersion = "22.11";
        };
      };
    };
}
